//package cn.estsh.i3plus.core.apiservice.controller;
//
//import cn.estsh.i3plus.icloud.core.controller.DemoCloudInterface;
//import cn.estsh.i3plus.pojo.base.enumutil.ResourceEnumUtil;
//import cn.estsh.impp.framework.boot.util.ResultBean;
//import io.swagger.annotations.Api;
//import io.swagger.annotations.ApiOperation;
//import org.slf4j.Logger;
//import org.slf4j.LoggerFactory;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.web.bind.annotation.*;
//
//@RestController
//@RequestMapping("/cloud")
//@Api(description="分布式服务测试")
//public class DemoCloudController {
//
//    private static final Logger LOGGER = LoggerFactory.getLogger(DemoCloudController.class);
//
//    @Autowired
//    DemoCloudInterface demoCloudInterface;
//
//    @GetMapping(value="/test")
//    @ApiOperation(value="测试",notes = "测试")
//    public ResultBean simpleTest(String test) {
//        LOGGER.info("【接受数据】{}",test);
//
//        try {
//            demoCloudInterface.testGet("get = " + test);
//        }catch (Exception e){
//            LOGGER.error("XXXX --> get调用出错：" + e.getMessage(),e);
//        }
//        try {
//            demoCloudInterface.testPost("post = " + test);
//        }catch (Exception e){
//            LOGGER.error("XXXX --> post调用出错：" + e.getMessage(),e);
//        }
//        try {
//            demoCloudInterface.testPut("testPut = " + test);
//        }catch (Exception e){
//            LOGGER.error("XXXX --> testPut调用出错：" + e.getMessage(),e);
//        }
//        try {
//            demoCloudInterface.testDelete("delete = " + test);
//        }catch (Exception e){
//            LOGGER.error("XXXX --> delete调用出错：" + e.getMessage(),e);
//        }
//
//        test += "cloud return = ";
//        return ResultBean.success("返回：" + test).setCode(ResourceEnumUtil.MESSAGE.SUCCESS.getCode());
//    }
//
//    @GetMapping(value="/test-get")
//    @ApiOperation(value="测试get",notes = "测试get")
//    public ResultBean testFeignGet(String test) {
//        LOGGER.info("【get接受数据】{}" ,test);
//        return ResultBean.success("返回：" + test).setCode(ResourceEnumUtil.MESSAGE.SUCCESS.getCode());
//    }
//
//    @PostMapping(value="/test-post")
//    @ApiOperation(value="测试post",notes = "测试post")
//    public ResultBean testFeignPost(String test) {
//        LOGGER.info("【post接受数据】{}" ,test);
//        return ResultBean.success("返回：" + test).setCode(ResourceEnumUtil.MESSAGE.SUCCESS.getCode());
//    }
//
//    @PostMapping(value="/test-put")
//    @ApiOperation(value="put接受数据",notes = "put接受数据")
//    public ResultBean testPut(String test) {
//        LOGGER.info("【put接受数据】{}", test);
//        return ResultBean.success("返回：" + test).setCode(ResourceEnumUtil.MESSAGE.SUCCESS.getCode());
//    }
//
//    @DeleteMapping(value="/test-delete")
//    @ApiOperation(value="delete接受数据",notes = "delete接受数据")
//    public ResultBean testDelete(String test) {
//        LOGGER.info("【delete接受数据】{}",test);
//        return ResultBean.success("返回：" + test).setCode(ResourceEnumUtil.MESSAGE.SUCCESS.getCode());
//    }
//
//    @PutMapping(value="/test-cloud-put")
//    @ApiOperation(value="测试cloudput",notes = "测试cloudput")
//    public ResultBean putTestCloud(String test) {
//        LOGGER.info("【put--->{}",test);
//        return ResultBean.success("返回：" + test).setCode(ResourceEnumUtil.MESSAGE.SUCCESS.getCode());
//    }
//}
